## org.omg.PortableInterceptor.ORBInitInfoPackage
Class InvalidNameHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.ORBInitInfoPackage.InvalidNameHelper

public class InvalidNameHelper
extends java.lang.Object

Helper class for : InvalidName

Author:
  OpenORB Compiler

Constructor Summary
`InvalidNameHelper()`

Method Summary
`static InvalidName` `extract(Any a)` Extract InvalidName from an any
`static java.lang.String` `id()` Return the InvalidName IDL ID
`static void` `insert(Any a, InvalidName t)` Insert InvalidName into an any
`static InvalidName` `read(InputStream istream)` Read InvalidName from a marshalled stream
`static TypeCode` `type()` Return the InvalidName TypeCode
`static void` `write(OutputStream ostream, InvalidName value)` Write InvalidName into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidNameHelper

    public InvalidNameHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InvalidName t)

  Insert InvalidName into an any
  Parameters:
    `a` - an any
    `t` - InvalidName value

### extract

    public static InvalidName extract(Any a)

  Extract InvalidName from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InvalidName value

### type

    public static TypeCode type()

  Return the InvalidName TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InvalidName IDL ID
  Returns:
    an ID

### read

    public static InvalidName read(InputStream istream)

  Read InvalidName from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InvalidName value

### write

    public static void write(OutputStream ostream,
                             InvalidName value)

  Write InvalidName into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InvalidName value